# GetLatestVersion

### Description

Gets the latest version of the specified.

```csharp
 string GetLatestVersion (string webServiceUrl, 
                                  int productID, 
                                  int majorVersion, 
                                  int minorVersion, 
                                  out string downloadUrl, 
                                  out string notes, 
                                  out string response)
```

### Parameters

| Parameter     |    Type    | Description                                                                            |
| ------------- | :--------: | -------------------------------------------------------------------------------------- |
| webServiceUrl |   string   | URL to the QLM License Server                                                          |
| productID     |     int    | ID of the product.                                                                     |
| majorVersion  |     int    | Major version of the product                                                           |
| minorVersion  |     int    | Minor version of the product.                                                          |
| downloadUrl   | out string | returns the url to download the latest version.                                        |
| notes         | out string | returns notes about the latest version.                                                |
| response      | out string | XML fragment containing the result of the call. The Xml fragment schema is as follows: |
|               |            |                                                                                        |

### Return

| Type   | Description                              |
| ------ | ---------------------------------------- |
| string | Returns the value of the latest version. |

### Response XML format

```xml
<?xml version='1.0' encoding='UTF-8'?>
<QuickLicenseManager>
<result>The latest version is xyz.</result>
<latestVersion>xyz</latestVersion>
</QuickLicenseManager>
```

### Example error response

In the event of an error, the XML fragments returns:

```xml
<?xml version='1.0' encoding='UTF-8'?>
<QuickLicenseManager>
<error>Details about the error</error>
</QuickLicenseManager>
```

## Remarks

Use [ParseResults ](/docs/api-reference/.net-api/iqlmcustomerinfo/methods/parseresults.md)to interpret the results of the call and load the returned data into an [ILicenseInfo ](/docs/api-reference/.net-api/ilicenseinfo.md)object.

```csharp
ILicenseInfo li = new LicenseInfo();
string message = string.Empty;
if (lv.QlmLicenseObject.ParseResults(response, ref li, ref message))
{
  // The operation  was successful	
}
else
{
  // The operation failed
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.soraco.co/docs/api-reference/.net-api/qlmlicense/application-methods/getlatestversion.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
